//---------------------------------------------------------------------------

#include <vcl.h>
#include <iterator>
#include "algostuff.hpp"

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}


int main()
{
  vector<int> coll;

  INSERT_ELEMENTS(coll,2,6);
  INSERT_ELEMENTS(coll,4,9);
  INSERT_ELEMENTS(coll,1,7);
  PRINT_ELEMENTS(coll," :\n");

  //      5
  vector<int>::iterator pos;
  pos = remove(coll.begin(), coll.end(),   // 
               5);                         //  

  PRINT_ELEMENTS(coll,"  :\n");
  //  ""   
  coll.erase(pos, coll.end());
  PRINT_ELEMENTS(coll,"  :\n");

  //       4
  coll.erase(remove_if(coll.begin(), coll.end(),  // 
                       bind2nd(less<int>(),4)),   //  
             coll.end());
  PRINT_ELEMENTS(coll,"      4:\n");


  getch();
  return 0;
}

//---------------------------------------------------------------------------